/* @(#)IceCream.java 1.0  22 April 2003 */

/* Class to represent juice variant of grocery items */

public class IceCream extends AGrocery {
    
    /*--------------------------------------------------------
     Member Data
     -------------------------------------------------------*/

	/* the flavor of ice cream */
	public String flavor;
	
	/* the kind of ice cream */
	public String kind;
	
    /*--------------------------------------------------------
     Constructor
     -------------------------------------------------------*/
	public IceCream(double aSize, double aPrice, String aBrand,
	             String aFlavor, String aKind){
		this.size   = aSize;
		this.price  = aPrice;
		this.brand  = aBrand;
		this.flavor = aFlavor;
		this.kind   = aKind;
	}
	
    /*--------------------------------------------------------
     Methods
     -------------------------------------------------------*/	
	/* determine whether this is a sorbet */
	public boolean isSorbet(){
		return kind.equals("sorbet");
	}

    /* print the coffee data */
    public String toString(){
    	return ("new " + getClass() +  
    	        this.size   + ", " + 
    	        this.price  + ", " + 
    	        this.brand  + ", " + 
    	        this.flavor + ", " + 
    	        this.kind   + ")");
    }

    /*--------------------------------------------------------
     Template
     ---------------------------------------------------------
	
	 ...this.size...
	 ...this.price...
	 ...this.unitPrice()...
	 ...this.isCheaperThan(double somePrice)...
	 ...this.betterPriceThan(AGrocery someItem)...
	 ...this.flavor...
	 ...this.kind...
	 
     -------------------------------------------------------*/
}