/* @(#)Juice.java 1.0  22 April 2003 */

/* Class to represent juice variant of grocery items */

public class Juice extends AGrocery {
    
    /*--------------------------------------------------------
     Member Data
     -------------------------------------------------------*/

	/* the kind of juice */
	public String kind;
	
    /*--------------------------------------------------------
     Constructor
     -------------------------------------------------------*/
	public Juice(double aSize, double aPrice, String aBrand,
	             String aKind){
		this.size  = aSize;
		this.price = aPrice;
		this.brand = aBrand;
		this.kind  = aKind;
	}
	
    /*--------------------------------------------------------
     Methods
     -------------------------------------------------------*/
	/* determine whether this is fresh juice */
	public boolean isFresh(){
		return kind.equals("fresh");
	}
		
    /* print the coffee data */
    public String toString(){
    	return ("new " + getClass() +  
    	        this.size  + ", " + 
    	        this.price + ", " + 
    	        this.brand + ", " + 
    	        this.kind  + ")");
    }

    /*--------------------------------------------------------
     Template
     ---------------------------------------------------------
	
	 ...this.size...
	 ...this.price...
	 ...this.unitPrice()...
	 ...this.isCheaperThan(double somePrice)...
	 ...this.betterPriceThan(AGrocery someItem)...
	 ...this.kind...
	 
     -------------------------------------------------------*/
}